## plasma-workspace 5.7.5

=== debian/changelog ===
plasma-workspace (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * Add kubuntu_disable-shell-tests-requiring-plasma-session.diff to disable
    2 tests that won't work as autotests

  [ Rik Mills ]
  * Disable kubuntu_disable-shell-tests-requiring-plasma-session.diff as
    these tests have now moved to a separate repository
  * New upstream release (5.7.4)
  * Upstream changes require a depends on kactivitymanagerd
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:30:16 -0500

plasma-workspace (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.7.1)
  * Merge with Debian
  * Removing upstream patch install_missing_header
  * SO Bump libtaskmanager from 5 to 6
  * Add new liblegacytaskmanager5
  * Adding new files into install files
  * Add libkf5holidays-dev as build dep
  * New upstream release (5.7.2)

  [ Simon Quigley ]
  * Add qml-module-org-kde-kholidays to the plasma-workspace recommends

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:08:46 +0000

plasma-workspace (4:5.6.5.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add new libkdeinit5_kuiserver5.so lintian-override
  * New upstream release (5.6.5.1).
  * Update install files
  * Bump kwin-dev build dependency version (Closes: 827823)

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 12:42:29 +0200

plasma-workspace (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.6.5)
  * Fixing path to plasma_applet_notifications.so in install file
  * Make plasma-workspace depend on plasma-integration (contains code from
    frameworkintegration)

  [ Rik Mills ]
  * Disable install_missing_header patch - applied upstream

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 21:11:35 +0100

plasma-workspace (4:5.6.4-2) unstable; urgency=medium

  * Force the use of the newer libkscreen
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 20:13:32 +0200

plasma-workspace (4:5.6.4-1) experimental; urgency=medium

  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * Drop libusb-dev build dependency. (Closes: #810453) Thanks to
    Aurelien Jarno
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Update install files
  * Install new files
  * Add replaces for kde-workspace-data
  * Uscan no longer supports more than one main upstream tarball being listed (Closes: #821187)
  * Drop dependency on kactivities
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 May 2016 12:18:34 +0200

plasma-workspace (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Removing upstream patch - plasma_applet_actions_crash.diff
  * Adding plasma-intregration as a build dep
  * Adding iso-codes as build dep
    - Updating debian/meta/cmake-ignore
  * Fixing install files
  * Adding override to plasma-workspace.lintian-overrides
    - postinst-must-call-ldconfig usr/lib/*/libkdeinit5_kuiserver5.so
  * Fixing the control file so it doesn't rely on kactivities, but relies
    on new packages instead

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:27:53 -0700

plasma-workspace (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.1.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:22 +0100

plasma-workspace (4:5.5.2-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial. 
  * Upstream version bumped by 1. 
  * Version number is coming up None. Trying a different approach 
    with appending a. 
  * Silly me, lost the ubuntu in the version. Final fix I hope.

  [ Clive Johnston ]
  * new upstream release
  * Removing a file from plasma-workspace.install which is no longer built
  * Adding missing file usr/share/wayland-sessions/plasmawayland.desktop
    into plasma-workspace-wayland.install

  [ Bhushan Shah ]
  * Add depend to libkf5sysguard-dev in plasma-workspace-dev

 -- Clive Johnston <clivejo@aol.com>  Tue, 29 Dec 2015 17:54:26 +0000

plasma-workspace (4:5.4.3-2) unstable; urgency=high

  Team upload.

  [ Dmitry Shachnev ]
  * Stop depending on qtdeclarative5-* transitional packages.

  [ Felix Geyer ]
  * Fix CVE-2016-2312: KDE lockscreen bypass by switching display off and on.
    (Closes: #814355)
    - Add debian/patches/CVE-2016-2312.diff, cherry-picked from upstream
      Plasma/5.4 branch.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 22 Feb 2016 20:16:55 +0100

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.24.0~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kinit-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               kscreenlocker-dev (>= 5.7.5~),
               kwayland-dev (>= 4:5.24.0~),
               kwin-dev (>= 4:5.7.5~),
               libboost-dev,
               libdbusmenu-qt5-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5crash-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5globalaccel-dev (>= 5.24.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.24.0~),
               libkf5idletime-dev (>= 5.24.0~),
               libkf5jsembed-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5networkmanagerqt-dev (>= 5.24.0~),
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5notifyconfig-dev (>= 5.24.0~),
               libkf5package-dev (>= 5.24.0~),
               libkf5prison-dev,
               libkf5runner-dev (>= 5.24.0~),
               libkf5screen-dev (>= 4:5.7.5~),
               libkf5solid-dev (>= 5.24.0~),
               libkf5su-dev (>= 5.24.0~),
               libkf5sysguard-dev (>= 4:5.7.5~),
               libkf5texteditor-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5wallet-dev (>= 5.24.0~),
               libkf5webkit-dev (>= 5.24.0~),
               libkf5xmlrpcclient-dev (>= 5.24.0~),
               libnm-dev | libnm-glib-dev,
               libpam0g-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqt5sensors5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libwayland-dev (>= 1.3),
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-shm0-dev,
               libxcb-util-dev | libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               lm-sensors,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework-dev (>= 5.24.0~),
               plasma-integration (>= 5.7.5~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xcb-proto
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace

Package: plasma-workspace-dev
Architecture: any
Depends: libkf5windowsystem-dev (>= 5.24.0~),
         plasma-framework-dev (>= 5.24.0~),
         plasma-workspace (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${allLibraries},
         ${misc:Depends}
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace-wayland
Architecture: any
Depends: kwayland-integration,
         kwin-wayland,
         plasma-workspace (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Workspace for KF5 - Wayland integration
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: plasma-workspace
Architecture: any
Depends: dbus-x11,
         frameworkintegration,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd,
         kde-cli-tools,
         kded5,
         kinit,
         kio,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5service-bin,
         milou,
         plasma-framework,
         plasma-integration,
         qdbus-qt5,
         qml-module-org-kde-extensionplugin,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qttools5-dev-tools (>= 5.4),
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-window-manager (<= 4:5),
        kde-workspace-bin,
        kdeartwork-style,
        kdeartwork-theme-window,
        kio-extras (<< 4:5.3.2+git20150710.0210),
        kio-extras-data (<< 4:5.3.2+git20150710.0210),
        klipper,
        kscreensaver,
        kscreensaver-xsavers,
        kscreensaver-xsavers-webcollage,
        plasma-desktop (<= 4:5),
        plasma-desktopthemes-artwork,
        plasma-systray-legacy,
        ${kde-l10n:all}
Conflicts: kde-workspace, kde-workspace-data, klipper
Replaces: kde-workspace-bin,
          kde-workspace-data,
          kio-extras (<< 4:5.3.2+git20150710.0210),
          kio-extras-data (<< 4:5.3.2+git20150710.0210),
          klipper,
          plasma-systray-legacy,
          plasma-workspace-data,
          ${kde-l10n:all}
Provides: notification-daemon
Recommends: kio-extras, libpam-kwallet5, qml-module-org-kde-kholidays
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: libkworkspace5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.

Package: liblegacytaskmanager5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libplasma-geolocation-interface5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libtaskmanager5
Replaces: libtaskmanager5
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libweather-ion7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-framework, plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_addsubst_allLibraries = plasma-workspace-dev
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-workspace-dbg (<= 4:5.5.5.1-1~~)'

override_dh_fixperms:
	chmod -x debian/plasma-workspace/etc/xdg/autostart/org.kde.klipper.desktop
	$(overridden_command)

override_dh_install:
	mkdir -p debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
	cp debian/40-kde-plasma-kf5.conf debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
	$(overridden_command)

## plasma-workspace 5.8.6

=== CMakeLists.txt ===
project(plasma-workspace)
set(PROJECT_VERSION "5.8.6")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(QT_MIN_VERSION "5.6.1")
set(KF5_MIN_VERSION "5.26.0")
set(INSTALL_SDDM_THEME TRUE)
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets Quick QuickWidgets Concurrent Test Script Network)
find_package(ECM 1.8.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                    Plasma DocTools Runner JsEmbed NotifyConfig Su NewStuff Wallet KCMUtils
                    IdleTime Declarative TextWidgets KDELibs4Support Crash GlobalAccel
                    DBusAddons Wayland)
find_package(KF5NetworkManagerQt ${KF5_MIN_VERSION})
set_package_properties(KF5NetworkManagerQt PROPERTIES DESCRIPTION "Qt wrapper for NetworkManager API"
                       TYPE OPTIONAL
                       PURPOSE "Needed by geolocation data engine."
                      )
find_package(KF5XmlRpcClient REQUIRED)

# WARNING PlasmaQuick provides unversioned CMake config
find_package(KF5 REQUIRED COMPONENTS PlasmaQuick)
find_package(KF5 REQUIRED COMPONENTS SysGuard)
find_package(KF5 REQUIRED COMPONENTS Package)
# Baloo has a different version scheme than KF5 for now
find_package(KF5 5.1 REQUIRED COMPONENTS Baloo)
find_package(KF5TextEditor)
find_package(KWinDBusInterface CONFIG REQUIRED)

find_package(KScreenLocker REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KF5Holidays)
set_package_properties(KF5Holidays PROPERTIES DESCRIPTION "Holidays provider for Plasma calendar"
                       TYPE OPTIONAL
                       PURPOSE "Needed to for holidays plugin for Plasma Calendar."
                      )

find_package(Phonon4Qt5 4.6.60 REQUIRED NO_MODULE)
set_package_properties(Phonon4Qt5 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   TYPE REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPackageConfigHelpers)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(KDEPackageAppTemplates)

find_package(KF5Activities ${KF5_MIN_VERSION})
set_package_properties(KF5Activities PROPERTIES DESCRIPTION "management of Plasma activities"
                       TYPE OPTIONAL
                       PURPOSE "Needed by activity related plasmoids."
                      )

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(dbusmenu-qt5 CONFIG)
set_package_properties(dbusmenu-qt5 PROPERTIES DESCRIPTION "Support for notification area menus via the DBusMenu protocol"
                       URL "https://launchpad.net/libdbusmenu-qt"
                       TYPE OPTIONAL
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE OPTIONAL
                        PURPOSE "Required for building the X11 based workspace")

if(X11_FOUND)
  find_package(XCB MODULE REQUIRED COMPONENTS XCB RANDR)
  set_package_properties(XCB PROPERTIES TYPE REQUIRED)
  if(NOT X11_SM_FOUND)
    message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.\nPlease install libSM.\n")
  endif(NOT X11_SM_FOUND)

  find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)
endif()

if(X11_FOUND AND XCB_XCB_FOUND)
  set(HAVE_X11 1)
endif()

include(ConfigureChecks.cmake)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(plasma.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma.desktop)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/plasma.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/xsessions
)

configure_file(plasmawayland.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasmawayland.desktop)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/plasmawayland.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/wayland-sessions
)

plasma_install_package(lookandfeel org.kde.breeze.desktop look-and-feel lookandfeel)

if (INSTALL_SDDM_THEME)
# Install the login theme into the SDDM directory
# Longer term we need to look at making SDDM load from look and feel somehow.. and allow copying at runtime
    #NOTE this trailing slash is important to rename the directory
    install(DIRECTORY sddm-theme/ DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze PATTERN "README.txt" EXCLUDE PATTERN "components" EXCLUDE PATTERN "dummydata" EXCLUDE)
    install(DIRECTORY lookandfeel/contents/components DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze PATTERN "README.txt" EXCLUDE)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(doc)
add_subdirectory(libkworkspace)
add_subdirectory(libtaskmanager)
add_subdirectory(components)

if(dbusmenu-qt5_FOUND)
  add_subdirectory(appmenu)
endif()

add_subdirectory(plasma-windowed)
add_subdirectory(shell)
add_subdirectory(freespacenotifier)
add_subdirectory(klipper)
add_subdirectory(krunner)
add_subdirectory(ksmserver)
add_subdirectory(ksplash)
add_subdirectory(systemmonitor)
add_subdirectory(statusnotifierwatcher)
add_subdirectory(startkde)
add_subdirectory(themes)

add_subdirectory(containmentactions)
add_subdirectory(runners)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(wallpapers)

add_subdirectory(kioslave)
add_subdirectory(ktimezoned)
add_subdirectory(kuiserver)
add_subdirectory(menu)
add_subdirectory(phonon)
add_subdirectory(solidautoeject)
add_subdirectory(drkonqi)

ecm_optional_add_subdirectory(xembed-sni-proxy)

add_subdirectory(soliduiserver)

if(KF5Holidays_FOUND)
    add_subdirectory(plasmacalendarintegration)
endif()

add_subdirectory(templates)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== runners/CMakeLists.txt ===
add_subdirectory(activities)
add_subdirectory(baloo)
add_subdirectory(bookmarks)
add_subdirectory(calculator)
add_subdirectory(locations)
add_subdirectory(places)
add_subdirectory(services)
add_subdirectory(recentdocuments)
add_subdirectory(shell)
# add_subdirectory(solid)
add_subdirectory(webshortcuts)
add_subdirectory(windowedwidgets)
#
if(NOT WIN32)
 add_subdirectory(powerdevil)
 add_subdirectory(sessions)
 add_subdirectory(windows)
 add_subdirectory(kill)
endif()
#

=== shell/CMakeLists.txt ===
# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)
# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Script REQUIRED)
find_package(KF5CoreAddons REQUIRED)
find_package(KF5Crash REQUIRED)
find_package(KF5Solid REQUIRED)
find_package(KF5Activities REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Declarative ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Package REQUIRED)

configure_file(config-ktexteditor.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ktexteditor.h )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-plasma.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-plasma.h)

add_definitions(-DPLASMA_DEPRECATED=)

set(scripting_SRC
    scripting/appinterface.cpp
    scripting/applet.cpp
    scripting/containment.cpp
    scripting/configgroup.cpp
    scripting/i18n.cpp
    scripting/panel.cpp
    scripting/rect.cpp
    scripting/scriptengine.cpp
    scripting/scriptengine_v1.cpp
    scripting/widget.cpp
)

set(plasmashell_dbusXML dbus/org.kde.PlasmaShell.xml)
qt5_add_dbus_adaptor(scripting_SRC ${plasmashell_dbusXML} shellcorona.h ShellCorona plasmashelladaptor)

ecm_qt_declare_logging_category(plasmashell HEADER debug.h
                                               IDENTIFIER PLASMASHELL
                                               CATEGORY_NAME kde.plasmashell
                                               DEFAULT_SEVERITY Info)

set (plasma_shell_SRCS
    alternativeshelper.cpp
    main.cpp
    containmentconfigview.cpp
    currentcontainmentactionsmodel.cpp
    desktopview.cpp
    kidenticongenerator.cpp
    panelview.cpp
    panelconfigview.cpp
    panelshadows.cpp
    shellcorona.cpp
    shellmanager.cpp
    standaloneappcorona
    osd.cpp
    waylanddialogfilter.cpp
    coronatesthelper.cpp
    debug.cpp
    screenpool.cpp
    ${scripting_SRC}
)

set(krunner_xml ${plasma-workspace_SOURCE_DIR}/krunner/dbus/org.kde.krunner.App.xml)
qt5_add_dbus_interface(plasma_shell_SRCS ${krunner_xml} krunner_interface)

add_executable(plasmashell
    ${plasma_shell_SRCS}
)

target_link_libraries(plasmashell
 Qt5::Quick
 Qt5::DBus
 KF5::KIOCore
 KF5::WindowSystem
 KF5::Crash
 KF5::Plasma
 KF5::PlasmaQuick
 Qt5::Script
 KF5::Solid
 KF5::Declarative
 KF5::I18n
 KF5::IconThemes
 KF5::Activities
 KF5::GlobalAccel
 KF5::CoreAddons
 KF5::DBusAddons
 KF5::Declarative
 KF5::QuickAddons
 KF5::XmlGui
 KF5::Package
 KF5::WaylandClient
)
target_include_directories(plasmashell PRIVATE "${CMAKE_BINARY_DIR}")
target_compile_definitions(plasmashell PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

if(HAVE_X11)
  target_link_libraries(plasmashell ${X11_LIBRARIES} ${XCB_LIBRARIES} )
  target_link_libraries(plasmashell Qt5::X11Extras)
endif()

install(TARGETS plasmashell ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES plasmashell.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install( FILES dbus/org.kde.PlasmaShell.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )

install(FILES
   scripting/plasma-layout-template.desktop
   DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

add_subdirectory(packageplugins)
add_subdirectory(autotests)

=== soliduiserver/CMakeLists.txt ===
########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"soliduiserver\")

set(kded_soliduiserver_SRCS
   soliduiserver.cpp
   deviceactionsdialog.cpp
   deviceaction.cpp
   devicenothingaction.cpp
   deviceserviceaction.cpp
)

ki18n_wrap_ui(kded_soliduiserver_SRCS deviceactionsdialogview.ui)

add_library(soliduiserver MODULE ${kded_soliduiserver_SRCS})
kcoreaddons_desktop_to_json(soliduiserver soliduiserver.desktop)

target_link_libraries(soliduiserver KF5::Solid KF5::DBusAddons KF5::Wallet KF5::KIOCore KF5::WindowSystem KF5::KDELibs4Support)

install(TARGETS soliduiserver DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

=== systemmonitor/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"systemmonitor\")

set (KDED_KSYSGUARD_SRCS
     kdedksysguard.cpp
)

add_library(ksysguard MODULE ${KDED_KSYSGUARD_SRCS})
kcoreaddons_desktop_to_json(ksysguard ksysguard.desktop)

target_link_libraries(ksysguard
    KF5::DBusAddons
    KF5::I18n
    KF5::XmlGui
    KF5::GlobalAccel
)

install(TARGETS ksysguard DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

add_executable(systemmonitor ksystemactivitydialog.cpp main.cpp)

target_link_libraries(systemmonitor
    KF5::ProcessUi
    KF5::ConfigCore
    KF5::I18n
    KF5::XmlGui
    KF5::GlobalAccel
    KF5::WindowSystem
)

install(TARGETS systemmonitor DESTINATION ${KDE_INSTALL_BINDIR})

=== themes/CMakeLists.txt ===

set( themes_RC
    qtcde.themerc
    qtcleanlooks.themerc
    qtmotif.themerc
    qtplastique.themerc
    qtwindows.themerc
)

if (X11_FOUND)
  set( themes_RC ${themes_RC}
      qtgtk.themerc
  )
endif ()

if (WIN32)
  set( themes_RC ${themes_RC}
      qtwindowsvista.themerc
      qtwindowsxp.themerc
  )
endif ()

if (APPLE)
  set( themes_RC ${themes_RC}
      qtmacintosh.themerc
  )
endif ()


########### install files ###############

install( FILES ${themes_RC}  DESTINATION  ${KDE_INSTALL_DATADIR}/kstyle/themes )

=== applets/digital-clock/CMakeLists.txt ===
add_subdirectory(plugin)

plasma_install_package(package org.kde.plasma.digitalclock)

=== containmentactions/paste/CMakeLists.txt ===
set(paste_SRCS
    paste.cpp
)

add_library(plasma_containmentactions_paste MODULE ${paste_SRCS})
target_link_libraries(plasma_containmentactions_paste
    Qt5::Gui
    Qt5::Widgets
    KF5::Plasma
    KF5::KIOCore
    )

kcoreaddons_desktop_to_json(plasma_containmentactions_paste plasma-containmentactions-paste.desktop)

install(TARGETS plasma_containmentactions_paste DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-containmentactions-paste.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== dataengines/network/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_network\")

set(network_engine_SRCS
    networkengine.cpp
)

add_library(plasma_engine_network MODULE ${network_engine_SRCS})
target_link_libraries(plasma_engine_network KF5::CoreAddons KF5::Plasma solidcontrol)

install(TARGETS plasma_engine_network DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
install(FILES plasma-dataengine-network.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )

=== dataengines/statusnotifieritem/CMakeLists.txt ===
include_directories(${plasma-workspace_SOURCE_DIR}/statusnotifierwatcher)
include_directories(${dbusmenu-qt5_INCLUDE_DIRS})

# We add our source code here
set(statusnotifieritem_engine_SRCS
    statusnotifieritem_engine.cpp
    statusnotifieritemsource.cpp
    statusnotifieritemservice.cpp
    statusnotifieritemjob.cpp
    systemtraytypes.cpp

    libdbusmenuqt/dbusmenuimporter.cpp
    libdbusmenuqt/dbusmenushortcut_p.cpp
    libdbusmenuqt/dbusmenutypes_p.cpp
    libdbusmenuqt/utils.cpp
)

set(statusnotifierwatcher_xml ${KNOTIFICATIONS_DBUS_INTERFACES_DIR}/kf5_org.kde.StatusNotifierWatcher.xml)
qt5_add_dbus_interface(statusnotifieritem_engine_SRCS ${statusnotifierwatcher_xml} statusnotifierwatcher_interface)
qt5_add_dbus_interface(statusnotifieritem_engine_SRCS ../mpris2/org.freedesktop.DBus.Properties.xml dbusproperties)

set(statusnotifieritem_xml ${KNOTIFICATIONS_DBUS_INTERFACES_DIR}/kf5_org.kde.StatusNotifierItem.xml)

set_source_files_properties(${statusnotifieritem_xml} PROPERTIES
   NO_NAMESPACE false
   INCLUDE "systemtraytypes.h"
   CLASSNAME OrgKdeStatusNotifierItem
)
qt5_add_dbus_interface(statusnotifieritem_engine_SRCS ${statusnotifieritem_xml} statusnotifieritem_interface)

add_library(plasma_engine_statusnotifieritem MODULE ${statusnotifieritem_engine_SRCS})
target_link_libraries(plasma_engine_statusnotifieritem
    Qt5::DBus
    KF5::Service
    KF5::Plasma
    KF5::IconThemes
)

kcoreaddons_desktop_to_json(plasma_engine_statusnotifieritem plasma-dataengine-statusnotifieritem.desktop)

install(TARGETS plasma_engine_statusnotifieritem DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
install(FILES plasma-dataengine-statusnotifieritem.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES statusnotifieritem.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)

=== ksplash/none/CMakeLists.txt ===
install( FILES Theme.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/ksplash/Themes/None )

=== runners/services/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_services\")

set(krunner_services_SRCS
    servicerunner.cpp
)

add_library(krunner_services MODULE ${krunner_services_SRCS})
target_link_libraries(krunner_services
    KF5::KIOWidgets
    KF5::I18n
    KF5::Runner
    KF5::Service
    KF5::Activities
)

install(TARGETS krunner_services DESTINATION ${KDE_INSTALL_PLUGINDIR} )

install(FILES plasma-runner-services.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
plasma-workspace (4:5.8.6-2.1+deb9u1) stretch-security; urgency=medium

  * CVE-2018-6791

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 14 Feb 2018 00:03:33 +0100

plasma-workspace (4:5.8.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix problem where processing stopped in ksplashqml on some environments.
    (Closes: #862558)
    Add patches/replace-fds.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 02 Jun 2017 22:17:22 +0900

plasma-workspace (4:5.8.6-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Mar 2017 19:45:10 +0100

plasma-workspace (4:5.8.6-1) experimental; urgency=medium

  * New upstream release (5.8.6) (Closes: 844707)
  * Add missing runtime dependency qml-module-org-kde-kholidays.
    Thanks to Ignacio R. Morelle and YOSHINO Yoshihito for the report
    (Closes: 836241)
  * Add missing provides for x-session-manager.
    Thanks to Wolfgang Schweer for reporting (Closes: 853885)
  * Recommend powerdevil.
    Thanks to Salvo Tomaselli for reporting (Closes: 793463)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 08 Mar 2017 19:10:29 +0100

plasma-workspace (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).
  * Drop upstream applied patch: Fix-Unable-to-assign-undefined-to-int-
    log.patch
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:22 +0100

plasma-workspace (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)
  * Bump qt version build deps and deps to 5.7
  * Add new patch: Fix-Unable-to-assign-undefined-to-int-log.patch.
    Thanks to Helge Kreutzmann for reporting and testing this (Closes: 844194)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:38:24 +0100

plasma-workspace (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:27:27 +0200

plasma-workspace (4:5.8.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.8.1)
  * Drop old conffile legacytaskmanagerrulesrc.
    Thanks to shirish for the report (Closes: #840629)
  * Add symbols files

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:01:18 +0200

plasma-workspace (4:5.8.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Add missing build dependency on plasma-framework
  * Drop liblegacytaskmanager5
  * Update install files
  * Add missing qml dependencies
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:10:03 +0200

plasma-workspace (4:5.7.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Follow upstream libtaskmanager soversion bump
  * Install ion-dataengine template
  * Add kholidays build-dependency
  * Add missing dev dependency (thanks to the acc headers check)
  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

  [ Harald Sitter ]
  * add new liblegacytaskmanager
  * install new data
  * install the lovely new holiday plugin

  [ Jonathan Riddell ]
  * add missing file
  * new .mo files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 17:27:03 +0200

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0~),
               kinit-dev,
               kscreenlocker-dev,
               kwin-dev (>= 4:5.4.95),
               libboost-dev,
               libdbusmenu-qt5-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.2.0),
               libkf5crash-dev (>= 5.26.0~),
               libkf5dbusaddons-dev (>= 5.26.0~),
               libkf5declarative-dev (>= 5.26.0~),
               libkf5doctools-dev (>= 5.26.0~),
               libkf5globalaccel-dev (>= 5.26.0~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.2.0),
               libkf5idletime-dev (>= 5.26.0~),
               libkf5jsembed-dev (>= 5.26.0~),
               libkf5kcmutils-dev (>= 5.26.0~),
               libkf5kdelibs4support-dev (>= 5.26.0~),
               libkf5kio-dev (>= 5.4.0),
               libkf5networkmanagerqt-dev (>= 5.26.0~),
               libkf5newstuff-dev (>= 5.26.0~),
               libkf5notifyconfig-dev (>= 5.26.0~),
               libkf5package-dev,
               libkf5plasma-dev (>= 5.26.0~),
               libkf5runner-dev (>= 5.26.0~),
               libkf5screen-dev (>= 4:5.6~),
               libkf5solid-dev (>= 5.2.0),
               libkf5su-dev (>= 5.26.0~),
               libkf5sysguard-dev,
               libkf5texteditor-dev (>= 5.2.0),
               libkf5textwidgets-dev (>= 5.26.0~),
               libkf5wallet-dev (>= 5.26.0~),
               libkf5wayland-dev (>= 4:5.26.0~),
               libkf5webkit-dev (>= 5.13.0~),
               libkf5xmlrpcclient-dev,
               libnm-dev,
               libpam0g-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqt5sensors5-dev,
               libqt5webkit5-dev (>= 5.7~),
               libqt5x11extras5-dev (>= 5.7~),
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libwayland-dev (>= 1.3),
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-shm0-dev,
               libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               lm-sensors,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework (>= 5.26.0~),
               qtbase5-dev (>= 5.7~),
               qtdeclarative5-dev (>= 5.7~),
               qtscript5-dev (>= 5.7~),
               qttools5-dev (>= 5.7~),
               xcb-proto
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-workspace.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-workspace.git

Package: plasma-workspace-dev
Architecture: any
Depends: libkf5itemmodels-dev,
         libkf5plasma-dev (>= 5.26.0~),
         libkf5sysguard-dev,
         libkf5windowsystem-dev (>= 5.4.0),
         plasma-workspace (= ${binary:Version}),
         qtbase5-dev (>= 5.7~),
         ${allLibraries},
         ${misc:Depends}
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace-wayland
Architecture: any
Depends: kwayland-integration,
         kwin-wayland,
         plasma-workspace (= ${binary:Version}),
         qtwayland5,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Workspace for KF5 - Wayland integration
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: plasma-workspace
Architecture: any
Depends: dbus-x11,
         frameworkintegration,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd,
         kde-cli-tools,
         kded5,
         kinit,
         kio,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5service-bin,
         milou,
         plasma-framework,
         plasma-integration,
         qdbus-qt5,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-extensionplugin,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kholidays,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qttools5-dev-tools (>= 5.7~),
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-window-manager (<= 4:5),
        kde-workspace-bin,
        kdeartwork-style,
        kdeartwork-theme-window,
        kinfocenter (<< 4:5.8),
        kio-extras (<< 4:5.3.2+git20150710.0210),
        kio-extras-data (<< 4:5.3.2+git20150710.0210),
        klipper,
        kscreensaver,
        kscreensaver-xsavers,
        kscreensaver-xsavers-webcollage,
        plasma-desktop (<< 4:5.8),
        plasma-desktopthemes-artwork,
        plasma-mediacenter (<< 5.7),
        plasma-systray-legacy,
        plasma-widgets-addons (<< 4:5.8),
        ${kde-l10n:all}
Conflicts: kde-workspace, kde-workspace-data, klipper
Replaces: kde-workspace-bin,
          kde-workspace-data,
          kio-extras (<< 4:5.3.2+git20150710.0210),
          kio-extras-data (<< 4:5.3.2+git20150710.0210),
          klipper,
          plasma-systray-legacy,
          plasma-workspace-data,
          ${kde-l10n:all}
Provides: notification-daemon, x-session-manager
Recommends: kio-extras, libpam-kwallet5, powerdevil
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: libkworkspace5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.
Breaks: khotkeys (<< 4:5.8),
        libpowerdevilcore2 (<< 4:5.8),
        plasma-desktop (<< 4:5.8)

Package: libplasma-geolocation-interface5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.
Breaks: plasma-desktop (<< 4:5.8)

Package: libweather-ion7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-framework, plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

Package: sddm-theme-debian-breeze
Architecture: any
Depends: plasma-framework,
         plasma-workspace,
         sddm-theme-breeze,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: desktop-base (>= 9.0.0~), sddm
Provides: sddm-theme
Description: Debian Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme adapted
 to use the active desktop-base theme for the background.

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,10 @@
 	$(overridden_command) --dbgsym-migration='plasma-workspace-dbg (<= 4:5.5.5.1-1~~)'
 
 override_dh_fixperms:
-	chmod -x debian/plasma-workspace/etc/xdg/autostart/org.kde.klipper.desktop
+	chmod -x debian/plasma-workspace/etc/xdg/autostart/klipper.desktop
 	$(overridden_command)
 
 override_dh_install:
 	mkdir -p debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
 	cp debian/40-kde-plasma-kf5.conf debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
-	$(overridden_command)
+	dh_install
